Records

Create a relationship

POST
/records/types/{record_type_id}/relationships

Create a relation field on the source type pointing at a target type of the same space, optionally with a reverse field on the target type. Cardinality is source to target: one_to_one, one_to_many, many_to_one or many_to_many.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

record_type_id*string

Resource identifier: record_type_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/records/types/123e4567-e89b-42d3-a456-426614174000/relationships" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{    "field": {      "key": "summary",      "label": "Customer documents"    },    "target_type_id": "123e4567-e89b-42d3-a456-426614174000",    "cardinality": "one_to_one"  }'
{}